import { SQLiteDatabase } from "expo-sqlite";
import { AbstractModelDB, ModelDBBackend, Config, Effect, ModelValue, QueryParams, WhereCondition, Model, ModelDBInit } from "@canvas-js/modeldb";
export declare class ModelDB extends AbstractModelDB {
    #private;
    readonly db: SQLiteDatabase;
    static open(path: string | null, init: ModelDBInit): Promise<ModelDB>;
    constructor(db: SQLiteDatabase, config: Config, version: Record<string, number>);
    protected hasModel(model: Model): boolean;
    getType(): ModelDBBackend;
    close(): Promise<void>;
    apply(effects: Effect[]): Promise<void>;
    get<T extends ModelValue<any> = ModelValue<any>>(modelName: string, key: string): Promise<T | null>;
    getAll<T extends ModelValue<any> = ModelValue<any>>(modelName: string): Promise<T[]>;
    getMany<T extends ModelValue<any> = ModelValue<any>>(modelName: string, keys: string[]): Promise<(T | null)[]>;
    iterate<T extends ModelValue<any> = ModelValue<any>>(modelName: string, query?: QueryParams): AsyncIterable<T>;
    count(modelName: string, where?: WhereCondition): Promise<number>;
    clear(modelName: string): Promise<void>;
    query<T extends ModelValue<any> = ModelValue<any>>(modelName: string, query?: QueryParams): Promise<T[]>;
    private createModel;
    private deleteModel;
    private addProperty;
    private removeProperty;
    private addIndex;
    private removeIndex;
    private getUpgradeAPI;
}
