import type { SQLiteBindValue } from "expo-sqlite";
import type { PrimaryKeyValue, PrimitiveProperty, PrimitiveValue, PropertyValue, PrimitiveType } from "@canvas-js/modeldb";
export type SqlitePrimitiveValue = SQLiteBindValue;
export declare const columnTypes: {
    integer: string;
    float: string;
    number: string;
    string: string;
    bytes: string;
    boolean: string;
    json: string;
};
export declare const Encoder: {
    encodePrimitiveValue(propertyName: string, type: PrimitiveType, nullable: boolean, value: PropertyValue): SqlitePrimitiveValue;
    encodeReferenceValue(propertyName: string, target: PrimitiveProperty[], nullable: boolean, value: PropertyValue): SqlitePrimitiveValue[];
};
export declare const Decoder: {
    decodePrimitiveValue(propertyName: string, type: PrimitiveType, nullable: boolean, value: SqlitePrimitiveValue): PrimitiveValue;
    decodeReferenceValue(propertyName: string, nullable: boolean, target: PrimitiveProperty[], values: SqlitePrimitiveValue[]): PrimaryKeyValue | PrimaryKeyValue[] | null;
};
