import { SQLiteBindValue, SQLiteDatabase } from "expo-sqlite";
export declare const quote: (name: string) => string;
export declare class Query<P extends SQLiteBindValue[] = SQLiteBindValue[], R extends Record<string, SQLiteBindValue> = Record<string, SQLiteBindValue>> {
    private readonly sql;
    private readonly statement;
    constructor(db: SQLiteDatabase, sql: string);
    finalize(): void;
    get(params: P): R | null;
    all(params: P): R[];
    iterate(params: P): IterableIterator<R>;
}
export declare class Method<P extends SQLiteBindValue[] = SQLiteBindValue[]> {
    private readonly sql;
    private readonly statement;
    constructor(db: SQLiteDatabase, sql: string);
    finalize(): void;
    run(params: P): void;
}
