export const quote = (name) => `"${name}"`;
export class Query {
    sql;
    statement;
    constructor(db, sql) {
        this.sql = sql;
        this.statement = db.prepareSync(sql);
    }
    finalize() {
        this.statement.finalizeSync();
    }
    get(params) {
        return this.statement.executeSync(params).getFirstSync();
    }
    all(params) {
        return this.statement.executeSync(params).getAllSync();
    }
    iterate(params) {
        return this.statement.executeSync(params);
    }
}
export class Method {
    sql;
    statement;
    constructor(db, sql) {
        this.sql = sql;
        this.statement = db.prepareSync(sql);
    }
    finalize() {
        this.statement.finalizeSync();
    }
    run(params) {
        this.statement.executeSync(params);
    }
}
